Bug 1917906 - [oauth-server] bump k8s.io/apiserver to 1.20.3
Summary: [oauth-server] bump k8s.io/apiserver to 1.20.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.8.0
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard: LifecycleReset
Depends On:
Blocks: 1965932
TreeView+ depends on / blocked
 
Reported: 2021-01-19 16:29 UTC by Abu Kashem
Modified: 2021-07-27 22:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:36:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:33 UTC

Description Abu Kashem 2021-01-19 16:29:12 UTC
bump k8s.io/apiserver to 1.20.3:

We need the following cherry pick PRs from upstream (but not limited to):
https://github.com/kubernetes/kubernetes/pull/97862
https://github.com/kubernetes/kubernetes/pull/98183

Comment 1 Standa Laznicka 2021-02-03 12:03:42 UTC
kube 1.20.3 is going to be released only after the freeze AFAIK, so this can't be done in 4.7

Comment 5 Standa Laznicka 2021-03-08 09:57:28 UTC

*** This bug has been marked as a duplicate of bug 1917904 ***

Comment 10 Michal Fojtik 2021-05-30 13:43:12 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 11 Sergiusz Urbaniak 2021-05-31 07:54:13 UTC
4.8 dependency is already at 1.21. Setting to MODIFIED for verification and cloned https://bugzilla.redhat.com/show_bug.cgi?id=1965932 for the bump in 4.7.

Comment 12 Sergiusz Urbaniak 2021-05-31 08:05:37 UTC
Note: the bump for 4.8 happened in https://github.com/openshift/oauth-server/commit/be8cde3d7, part of https://github.com/openshift/oauth-server/pull/75

Comment 13 Michal Fojtik 2021-05-31 08:43:40 UTC
The LifecycleStale keyword was removed because the bug moved to QE and the bug got commented on recently.
The bug assignee was notified.

Comment 15 Xingxing Xia 2021-06-01 14:22:58 UTC
Like bug 1922646#c11 steps, checked 'oauth-server.*Observed a panic: runtime error: invalid memory address or nil pointer dereference' in 4.8 jobs, no panic found.

Comment 16 Xingxing Xia 2021-06-02 00:00:59 UTC
> checked 'oauth-server
I made typo. Should use oauth-openshift (i.e. pod name or container name). Double checked again 'oauth-openshift.*bserved a panic: runtime error: invalid memory address or nil pointer', still no issue.

Comment 19 errata-xmlrpc 2021-07-27 22:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.